package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.SysQiyejieshaoMapper;
import com.ruoyi.system.domain.SysQiyejieshao;
import com.ruoyi.system.service.ISysQiyejieshaoService;

/**
 * qiyejieshaoService业务层处理
 * 
 * @author ruoyi
 * @date 2023-05-16
 */
@Service
public class SysQiyejieshaoServiceImpl extends ServiceImpl<BaseMapper<SysQiyejieshao>,SysQiyejieshao> implements ISysQiyejieshaoService
{
    @Autowired
    private SysQiyejieshaoMapper sysQiyejieshaoMapper;

    /**
     * 查询qiyejieshao
     * 
     * @param id qiyejieshao主键
     * @return qiyejieshao
     */
    @Override
    public SysQiyejieshao selectSysQiyejieshaoById(Long id)
    {
        return sysQiyejieshaoMapper.selectSysQiyejieshaoById(id);
    }

    /**
     * 查询qiyejieshao列表
     * 
     * @param sysQiyejieshao qiyejieshao
     * @return qiyejieshao
     */
    @Override
    public List<SysQiyejieshao> selectSysQiyejieshaoList(SysQiyejieshao sysQiyejieshao)
    {
        return sysQiyejieshaoMapper.selectSysQiyejieshaoList(sysQiyejieshao);
    }

    /**
     * 新增qiyejieshao
     * 
     * @param sysQiyejieshao qiyejieshao
     * @return 结果
     */
    @Override
    public int insertSysQiyejieshao(SysQiyejieshao sysQiyejieshao)
    {
        return sysQiyejieshaoMapper.insertSysQiyejieshao(sysQiyejieshao);
    }

    /**
     * 修改qiyejieshao
     * 
     * @param sysQiyejieshao qiyejieshao
     * @return 结果
     */
    @Override
    public int updateSysQiyejieshao(SysQiyejieshao sysQiyejieshao)
    {
        return sysQiyejieshaoMapper.updateSysQiyejieshao(sysQiyejieshao);
    }

    /**
     * 批量删除qiyejieshao
     * 
     * @param ids 需要删除的qiyejieshao主键
     * @return 结果
     */
    @Override
    public int deleteSysQiyejieshaoByIds(Long[] ids)
    {
        return sysQiyejieshaoMapper.deleteSysQiyejieshaoByIds(ids);
    }

    /**
     * 删除qiyejieshao信息
     * 
     * @param id qiyejieshao主键
     * @return 结果
     */
    @Override
    public int deleteSysQiyejieshaoById(Long id)
    {
        return sysQiyejieshaoMapper.deleteSysQiyejieshaoById(id);
    }
}
